Bug 967139 - [abrt] spambayes-1.1-0.5.a6.fc18: __init__.py:364:hashopen:DBInvalidArgError: (22, 'Invalid argument -- __db_meta_setup: /home/HetmanNet/.hammiedb: unexpected file type or format')
[abrt] spambayes-1.1-0.5.a6.fc18: __init__.py:364:hashopen:DBInvalidArgError:...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: spambayes (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Paul Howarth
Fedora Extras Quality Assurance
abrt_hash:95342e37884de834f2ef136bf93...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-24 18:14 EDT by Viktor Matveenko
Modified: 2014-02-05 16:31 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:31:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.80 KB, text/plain)
2013-05-24 18:14 EDT, Viktor Matveenko
no flags Details
File: core_backtrace (1.16 KB, text/plain)
2013-05-24 18:14 EDT, Viktor Matveenko
no flags Details
File: environ (1.30 KB, text/plain)
2013-05-24 18:14 EDT, Viktor Matveenko
no flags Details

  None (edit)
Description Viktor Matveenko 2013-05-24 18:14:19 EDT
Version-Release number of selected component:
spambayes-1.1-0.5.a6.fc18

Additional info:
cmdline:        /usr/bin/python /usr/bin/sb_filter.py
dso_list:       python-libs-2.7.3-13.fc18.x86_64
executable:     /usr/bin/sb_filter.py
kernel:         3.6.10-4.fc18.x86_64
uid:            1000
ureports_counter: 1

Truncated backtrace:
__init__.py:364:hashopen:DBInvalidArgError: (22, 'Invalid argument -- __db_meta_setup: /home/HetmanNet/.hammiedb: unexpected file type or format')

Traceback (most recent call last):
  File "/usr/bin/sb_filter.py", line 277, in <module>
    main()
  File "/usr/bin/sb_filter.py", line 268, in main
    action(msg)
  File "/usr/bin/sb_filter.py", line 185, in filter
    self.open('r')
  File "/usr/bin/sb_filter.py", line 166, in open
    self.h = hammie.open(self.dbname, self.usedb, self.mode)
  File "/usr/lib/python2.7/site-packages/spambayes/hammie.py", line 272, in open
    return Hammie(storage.open_storage(filename, useDB, mode), mode)
  File "/usr/lib/python2.7/site-packages/spambayes/storage.py", line 998, in open_storage
    return klass(data_source_name, mode)
  File "/usr/lib/python2.7/site-packages/spambayes/storage.py", line 154, in __init__
    self.load()
  File "/usr/lib/python2.7/site-packages/spambayes/storage.py", line 180, in load
    self.dbm = dbmstorage.open(self.db_name, self.mode)
  File "/usr/lib/python2.7/site-packages/spambayes/dbmstorage.py", line 70, in open
    return f(db_name, mode)
  File "/usr/lib/python2.7/site-packages/spambayes/dbmstorage.py", line 40, in open_best
    return f(*args)
  File "/usr/lib/python2.7/site-packages/spambayes/dbmstorage.py", line 20, in open_dbhash
    return bsddb.hashopen(*args)
  File "/usr/lib64/python2.7/bsddb/__init__.py", line 364, in hashopen
    d.open(file, db.DB_HASH, flags, mode)
DBInvalidArgError: (22, 'Invalid argument -- __db_meta_setup: /home/HetmanNet/.hammiedb: unexpected file type or format')

Local variables in innermost frame:
lorder: None
e: <DBEnv object at 0x7f5304423870>
d: <DB object at 0x7f5304c99390>
flag: 'r'
ffactor: None
pgsize: None
flags: 1040
mode: 438
file: '/home/HetmanNet/.hammiedb'
cachesize: None
nelem: None
hflags: 0
Comment 1 Viktor Matveenko 2013-05-24 18:14:22 EDT
Created attachment 752883 [details]
File: backtrace
Comment 2 Viktor Matveenko 2013-05-24 18:14:26 EDT
Created attachment 752884 [details]
File: core_backtrace
Comment 3 Viktor Matveenko 2013-05-24 18:14:29 EDT
Created attachment 752885 [details]
File: environ
Comment 4 Fedora End Of Life 2013-12-21 08:42:47 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2014-02-05 16:31:50 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.